Name:           python-apache-airflow-providers-common-sql
Version:        1.27.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Provider package apache-airflow-providers-common-sql for Apache Airflow

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/apache/airflow
Source:         %{pypi_source apache_airflow_providers_common_sql}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'apache-airflow-providers-common-sql' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-apache-airflow-providers-common-sql
Summary:        %{summary}

%description -n python3-apache-airflow-providers-common-sql %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-apache-airflow-providers-common-sql openlineage,pandas,polars


%prep
%autosetup -p1 -n apache_airflow_providers_common_sql-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x openlineage,pandas,polars


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-apache-airflow-providers-common-sql -f %{pyproject_files}


%changelog
%autochangelog